Module java.desktop
Package java.awt.color

# Class CMMException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.awt.color.CMMException

All Implemented Interfaces:
  `Serializable`

public class CMMException extends RuntimeException
This exception is thrown if the native CMM returns an error.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CMMException(String s)`
Constructs a `CMMException` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CMMException

public CMMException(String s)
Constructs a `CMMException` with the specified detail message.

Parameters:
  `s` - the specified detail message